[Overview][Constants][Types][Procedures and functions][Variables][Index] | Reference for unit 'Mouse' (#rtl)

# SetMouseDriver

Set a new mouse driver.

## Declaration

Source position: mouseh.inc line 103

`procedure SetMouseDriver(`
`const Driver: TMouseDriver`
`);`

## Description

SetMouseDriver sets the mouse driver to Driver. This function should be called before InitMouse is called, or after DoneMouse is called. If it is called after the mouse has been initialized, it does nothing.

For more information on setting the mouse driver, mousedrv.

For an example, see mousedrv

## See also

InitMouse |  | Initialize the FPC mouse driver.
DoneMouse |  | Deinitialize mouse driver.
GetMouseDriver |  | Get a copy of the currently active mouse driver.